import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets
import axios from 'axios'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// import locale from 'element-ui/lib/locale/lang/en' // lang i18n
import underscore from 'underscore'
import Print from 'vue-print-nb'
import noAuth from './components/NoAuth.vue'
import mavonEditor from 'mavon-editor'
import '@/styles/index.scss' // global css
import VueQuillEditor from 'vue-quill-editor'
import App from './App'
import store from './store'
import router from './router'
import md5 from 'js-md5';
import '@/icons' // icon
import '@/permission' // permission control
import 'mavon-editor/dist/css/index.css'
// require styles
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
// if (process.env.NODE_ENV === 'production') {
//   const { mockXHR } = require('../mock')
//   mockXHR()
// }
window._ = underscore
// 暂无权限
Vue.component('noAuth', noAuth)
Vue.use(mavonEditor)
Vue.use(Print); 
Vue.use(VueQuillEditor)
Vue.prototype.$md5 = md5;
Vue.prototype.axios = axios
// set ElementUI lang to EN
// Vue.use(ElementUI, { locale })
// 如果想要中文版 element-ui，按如下方式声明
Vue.use(ElementUI)

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
